export declare abstract class BaseTreeViewer<T> {
    readonly options: {
        container: HTMLDivElement;
        eventBus: any;
        l10n: any;
    };
    private lastToggleIsShow;
    private currentTreeItem?;
    protected abstract dispatchEvent(count: number): void;
    protected abstract render(params: T): void;
    constructor(options: {
        container: HTMLDivElement;
        eventBus: any;
        l10n: any;
    });
    reset(): void;
    protected normalizeTextContent(str: string): any;
    protected addToggleButton(div: HTMLDivElement, hidden?: boolean | object): void;
    private toggleTreeItem;
    protected toggleAllTreeItems(): void;
    protected finishRendering(fragment: DocumentFragment, count: number, hasAnyNesting?: boolean): void;
    protected updateCurrentTreeItem(treeItem?: HTMLElement): void;
    protected scrollToCurrentTreeItem(treeItem?: HTMLElement): void;
}
